// common.js

// CONSTANTS
const APIpath = 'API/';
const STARTLOCATON = [17.390491,78.484102]; //Hyderabad

const confidence_options = { // used in stage 4 - route mapping
    "1":"1-Just picked one from suggested", 
    "2":"2-Estimated from looking at map", 
    "3":"3-Did some searching, arrived at this", 
    "4":"4-I remember having been here",
    "5":"5-Dot! I know this stop is here for sure" 
};

/*<option value="1">1 - Just picked one from suggested</option>
    <option value="2">2 - Estimated from looking at map</option>
    <option value="3">3 - Did some searching, arrived at this</option>
    <option value="4">4 - I remember having been here</option>
    <option value="5">5 - Dot! I know this stop is here for sure</option>
    */
// ###########################################################
// RUN ON PAGE LOAD
$(document).ready(function() {

    // initiate accordion
    $( "#accordion" ).accordion({
        collapsible: true, active: false
    });
});

// ###########################################################
// FUNCTIONS


function checklatlng(lat,lon) {
	if ( typeof lat == 'number' && 
		typeof lon == 'number' &&
		!isNaN(lat) &&
		!isNaN(lon) ) {
		//console.log(lat,lon,'is valid');
		return true;
	}
	else {
		//console.log(lat,lon,'is not valid');
		return false;
	}
}

function loadRoutesList() {
	$.get( `${APIpath}loadJsonsList`, function( data ) {
		//console.log(data);
		$('#routeSelect').html(data);
		$('#routeSelect').trigger('chosen:updated'); 
		$('#routeSelect').chosen({disable_search_threshold: 1, search_contains:true, width:200, height: 400, placeholder_text_single:'Pick a route'});
	});
}

// hiding and showing elements, including their screen real estate. from https://stackoverflow.com/a/51113691/4355695
function hide(el) {
    el.style.visibility = 'hidden';	
  return el;
}

function show(el) {
  el.style.visibility = 'visible';	
  return el;
}
